.posts-grid-container {
	display: -ms-grid;
	display: grid;
	-ms-grid-columns: 1fr;
	grid-template-columns: 1fr;
	grid-auto-rows: 1fr;
	gap: 8px;
}
.posts-grid-container img {
	width: 100%;
	height: 100%;
	-o-object-fit: cover;
	object-fit: cover;
}
.posts-grid-container a {
	display: -ms-grid;
	display: grid;
	height: 100%;
	text-decoration: none;
	min-height: 300px;
}
.posts-grid-container a > div {
	-ms-grid-row: 1;
	-ms-grid-column: 1;
	grid-area: 1/1/1/1;
}

.posts-grid-container > li:first-of-type {
	-ms-grid-row: 1;
	-ms-grid-column: 1;
	grid-area: 1/1/1/1;
}
.post-details {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 12px;
}

.post-category {
	text-align: right;
	position: relative;
	z-index: 1;
}

span.category {
	color: var(--text-primary-white, #fff);
	font-family: Lato;
	font-size: 11px;
	font-style: normal;
	font-weight: 600;
	line-height: normal;
	padding: 2px 5px;
	border-radius: 20px;
	background: var(--background-accent-color, #0f14d2);
	display: inline-block;
	text-transform: capitalize;
}
span.category.highlight {
	background: var(--background-accent-alternative-color, #ae0f2e);
}
.post-thumbnail {
	position: relative;
}
.post-thumbnail img {
	position: absolute;
	width: 100%;
	height: 100%;
	-o-object-fit: cover;
	object-fit: cover;
}

.post-details {
	position: relative;
}

.post-title {
	font-family: Lato;
	font-size: 14px;
	font-weight: 700;
	line-height: 1.5em;
	letter-spacing: 0em;
	text-align: left;
	color: var(--text-primary-white, #fff);
}
.post-description .post-title,
.post-description .post-excerpt {
	width: 75%;
}
.post-description .read-more-icon {
	color: var(--text-primary-white, #fff);
	border-color: var(--text-primary-white, #fff);
	height: 32px;
	position: absolute;
	bottom: 0;
	right: 0;
}
.post-description .read-more-icon svg {
	width: 32px;
	height: 32px;
}
.posts-grid-container > li:first-of-type .post-title {
	font-size: 17px;
}
.post-details {
	overflow: hidden;
}

.post-description {
	position: relative;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 8px;
	box-shadow: 0 0 40px 40px rgb(0 0 0/ 60%);
	margin-top: auto;
	background: rgb(0 0 0 / 60%);
}

.post-excerpt {
	display: none;
	font-family: Lato;
	font-size: 15px;
	font-weight: 400;
	line-height: 1.5em;
	letter-spacing: 0em;
	text-align: left;
	color: var(--text-primary-white, #fff);
}
.posts-grid-container > li:first-of-type .post-excerpt {
	display: block;
}
@media screen and (min-width: 768px) {
	.posts-grid-container {
		-ms-grid-columns: 1fr 15px 1fr;
		grid-template-columns: repeat(2, 1fr);
		gap: 15px;
	}
}

@media screen and (min-width: 966px) {
	.posts-grid-container {
		-ms-grid-columns: (1fr)[3];
		grid-template-columns: repeat(3, 1fr);
	}
}
@media screen and (min-width: 1366px) {
	#posts-grid {
		padding-inline: 62px;
	}  
	.posts-grid-container > li:first-of-type {
		-ms-grid-row: 1;
		-ms-grid-row-span: 2;
		-ms-grid-column: 1;
		-ms-grid-column-span: 2;
		grid-area: 1/1/3/3;
		min-height: 300px;
	}
	.post-excerpt {
		display: block;
		font-size: 16px;
	}

	.post-title {
		font-size: 20px;
	}
	.posts-grid-container > li:first-of-type .post-title {
		font-size: 26px;
	}
	.post-details {
		padding: 16px;
	}
	span.category {
		font-size: 14px;
		padding: 6px 12px;
	}
}
